### Method

# Goa ObjectSkeleton set_media_server

deprecated: Unknown since: 3.14

#### Declaration [src]

    void
    goa_object_skeleton_set_media_server (
      GoaObjectSkeleton* object,
      GoaMediaServer* interface_
    )

#### Description [src]

Sets the `GoaMediaServer` instance for the D-Bus interface org.gnome.OnlineAccounts.MediaServer on `object`.

Available since: 3.14

Deprecated since: Unknown

The D-Bus interface has been deprecated.

#### Parameters

`interface_`

  Type: `GoaMediaServer`

  A `GoaMediaServer` or `NULL` to clear the interface.

  The argument can be `NULL`.
  The data is owned by the caller of the method.